=== modified file 'olive/__init__.py'
--- olive/__init__.py	2006-10-25 08:34:09 +0000
+++ olive/__init__.py	2006-10-25 16:29:18 +0000
@@ -39,7 +39,7 @@
 __version__ = '0.11.0'
 
 from dialog import error_dialog, info_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 # import this classes only once
 try:

=== modified file 'olive/add.py'
--- olive/add.py	2006-10-25 08:34:09 +0000
+++ olive/add.py	2006-10-25 16:29:18 +0000
@@ -29,7 +29,7 @@
 import bzrlib.errors as errors
 
 from dialog import error_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OliveAdd:

=== modified file 'olive/bookmark.py'
--- olive/bookmark.py	2006-10-25 08:34:09 +0000
+++ olive/bookmark.py	2006-10-25 16:29:18 +0000
@@ -25,7 +25,7 @@
 
 from olive import OlivePreferences
 from dialog import error_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OliveBookmark:

=== modified file 'olive/branch.py'
--- olive/branch.py	2006-10-25 08:34:09 +0000
+++ olive/branch.py	2006-10-25 16:29:18 +0000
@@ -29,7 +29,7 @@
 import bzrlib.errors as errors
 
 from dialog import error_dialog, info_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class BranchDialog:

=== modified file 'olive/checkout.py'
--- olive/checkout.py	2006-10-25 08:34:09 +0000
+++ olive/checkout.py	2006-10-25 16:29:18 +0000
@@ -31,7 +31,7 @@
 import bzrlib.osutils
 
 from dialog import error_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OliveCheckout:

=== modified file 'olive/commit.py'
--- olive/commit.py	2006-10-25 12:49:49 +0000
+++ olive/commit.py	2006-10-25 16:29:18 +0000
@@ -29,7 +29,7 @@
 from bzrlib import osutils
 
 from dialog import error_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class CommitDialog:

=== modified file 'olive/dialog.py'
--- olive/dialog.py	2006-10-25 08:34:09 +0000
+++ olive/dialog.py	2006-10-25 16:29:18 +0000
@@ -27,7 +27,7 @@
 def about():
     """ Display the AboutDialog. """
     import olive
-    from gladefile import GLADEFILENAME
+    from guifiles import GLADEFILENAME
 
     # Load AboutDialog description
     dglade = gtk.glade.XML(GLADEFILENAME, 'aboutdialog')

=== renamed file 'olive/gladefile.py' => 'olive/guifiles.py'
--- olive/gladefile.py	2006-10-25 08:34:09 +0000
+++ olive/guifiles.py	2006-10-25 16:29:18 +0000
@@ -34,3 +34,21 @@
         # Fail
         print _('Glade file cannot be found.')
         sys.exit(1)
+
+# Get the cmenu.ui file name
+if sys.platform == 'win32':
+    UIFILENAME = os.path.dirname(sys.executable) + "/share/olive/cmenu.ui"
+else:
+    UIFILENAME = "/usr/share/olive/cmenu.ui"
+
+if not os.path.isfile(UIFILENAME):
+    # Load from current directory if not installed
+    dir_ = os.path.split(os.path.dirname(__file__))[0]
+    UIFILENAME = os.path.join(dir_, "cmenu.ui")
+    # Check again
+    if not os.path.isfile(UIFILENAME):
+        # Fail
+        print _('UI description file cannot be found.')
+        sys.exit(1)
+
+

=== modified file 'olive/info.py'
--- olive/info.py	2006-10-25 08:34:09 +0000
+++ olive/info.py	2006-10-25 16:29:18 +0000
@@ -26,7 +26,7 @@
 import bzrlib.errors as errors
 
 from dialog import error_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 def info(location):

=== modified file 'olive/menu.py'
--- olive/menu.py	2006-10-14 11:44:16 +0000
+++ olive/menu.py	2006-10-25 16:29:18 +0000
@@ -36,20 +36,10 @@
     """ This class is responsible for building the context menus. """
     def __init__(self, path, selected):
         # Load the UI file
-        if sys.platform == 'win32':
-            self.uifile = os.path.dirname(sys.executable) + "/share/olive/cmenu.ui"
-        else:
-            self.uifile = "/usr/share/olive/cmenu.ui"
-        
-        if not os.path.exists(self.uifile):
-            # Load from current directory if not installed
-            self.uifile = "cmenu.ui"
-            # Check again
-            if not os.path.exists(self.uifile):
-                # Fail
-                print _('UI description file cannot be found.')
-                sys.exit(1)
-        
+        from guifiles import UIFILENAME
+
+        self.uifile = UIFILENAME
+
         # Preferences handler
         self.pref = OlivePreferences()
         

=== modified file 'olive/merge.py'
--- olive/merge.py	2006-10-25 08:34:09 +0000
+++ olive/merge.py	2006-10-25 16:29:18 +0000
@@ -29,7 +29,7 @@
 import bzrlib.errors as errors
 
 from dialog import error_dialog, info_dialog, warning_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class MergeDialog:

=== modified file 'olive/mkdir.py'
--- olive/mkdir.py	2006-10-25 08:34:09 +0000
+++ olive/mkdir.py	2006-10-25 16:29:18 +0000
@@ -28,7 +28,7 @@
 import bzrlib.errors as errors
 
 from dialog import error_dialog, warning_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OliveMkdir:

=== modified file 'olive/move.py'
--- olive/move.py	2006-10-25 08:34:09 +0000
+++ olive/move.py	2006-10-25 16:29:18 +0000
@@ -30,7 +30,7 @@
 from bzrlib.workingtree import WorkingTree
 
 from dialog import error_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OliveMove:

=== modified file 'olive/push.py'
--- olive/push.py	2006-10-25 08:34:09 +0000
+++ olive/push.py	2006-10-25 16:29:18 +0000
@@ -27,7 +27,7 @@
 import bzrlib.errors as errors
 
 from dialog import error_dialog, info_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OlivePush:

=== modified file 'olive/remove.py'
--- olive/remove.py	2006-10-25 08:34:09 +0000
+++ olive/remove.py	2006-10-25 16:29:18 +0000
@@ -28,7 +28,7 @@
 import bzrlib.errors as errors
 
 from dialog import error_dialog, warning_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OliveRemove:

=== modified file 'olive/rename.py'
--- olive/rename.py	2006-10-25 08:34:09 +0000
+++ olive/rename.py	2006-10-25 16:29:18 +0000
@@ -29,7 +29,7 @@
 from bzrlib.workingtree import WorkingTree
 
 from dialog import error_dialog
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OliveRename:

=== modified file 'olive/status.py'
--- olive/status.py	2006-10-25 08:34:09 +0000
+++ olive/status.py	2006-10-25 16:29:18 +0000
@@ -23,7 +23,7 @@
 import gtk
 import gtk.glade
 
-from gladefile import GLADEFILENAME
+from guifiles import GLADEFILENAME
 
 
 class OliveStatus:

